'use strict';

const deconstructFormObject = require("./deconstruct-form-object");

module.exports = function objectToURLSearchParams(object) {
	let params = new URLSearchParams();

	deconstructFormObject(object).forEach((item) => {
		params.append(item.name, item.value)
	});

	return params;
};
